rleDiff-class {Matrix} | R Documentation

## Class "rleDiff" of rle(diff(.)) Stored Vectors

### Description

Class `"rleDiff"` is for compactly storing long vectors which mainly consist of linear stretches. For such a vector `x`, `diff(x)` consists of constant stretches and is hence well compressable via `rle()`.

### Objects from the Class

Objects can be created by calls of the form `new("rleDiff", ...)`.

Currently experimental, see below.

### Slots

`first`:

  A single number (of class `"numLike"`, a class union of `"numeric"` and `"logical"`).

`rle`:

  Object of class `"rle"`, basically a `list` with components `"lengths"` and `"values"`, see `rle()`. As this is used to encode potentially huge index vectors, `lengths` may be of type `double` here.

### Methods

There is a simple `show` method only.

### Note

This is currently an experimental auxiliary class for the class `abIndex`, see there.

### See Also

`rle`, `abIndex`.

### Examples

    showClass("rleDiff")

    ab <- c(abIseq(2, 100), abIseq(20, -2))
    ab@rleD  # is "rleDiff"

[Package Matrix version 1.0-6 Index]